<?php

/*
 * @version		$Id: config.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class HdwplayerModelConfig extends JModelLegacy {

	function __construct() {
		parent::__construct();
    }
	
	function getdata()
    {
         $db     = JFactory::getDBO();
         $query  = "SELECT * FROM #__hdwplayer_settings";
         $db->setQuery( $query );
         $config = $db->loadObjectList();
		 
         		 
         $this->createXml($config);
	}
	
	function createXml($config)
	{
		$br = "\n";	
		ob_clean();
		header("content-type:text/xml;charset=utf-8");
		echo '<?xml version="1.0" encoding="utf-8"?>'.$br;
		echo '<config>'.$br;
		echo $this->configNodes($config[0]);
		echo '</config>'.$br;
		exit();
	}
	
	function configNodes($datas ) {
		$lang         = JRequest::getCmd('lang') ? '&lang='.JRequest::getCmd('lang') : '';
		$category     = JRequest::getString('category');
		$category     = str_replace(',', '%2C', $category);
		$id           = JRequest::getCmd('id');
		$playlistxml  = COM_HDWPLAYER_BASEURL."%26view=playlist";
		$playlistxml .= ($category != '') ? '%26category='.$category : '';
		$playlistxml .= ($id       != '') ? '%26id='.$id             : '';
		$email        =  COM_HDWPLAYER_BASEURL."%26view=email";
		$skinxml      = COM_HDWPLAYER_BASEURL."%26view=skin";
		$br           = "\n";
                $node = "";
		
		$node         = '<license>'.$datas->licensekey.'</license>'.$br;
		$node        .= '<logo>'.$datas->logo.'</logo>'.$br;
		$node        .= '<logoPosition>'.$datas->logoposition.'</logoPosition>'.$br;
		$node        .= '<logoAlpha>'.$datas->logoalpha.'</logoAlpha>'.$br;
		$node        .= '<logoTarget>'.$datas->logotarget.'</logoTarget>'.$br;
		$node        .= '<skinMode>'.$datas->skinmode.'</skinMode>'.$br;
		$node        .= '<skinXml>'.$skinxml.'</skinXml>'.$br;
		$node        .= '<playlistXml>'.$playlistxml.'</playlistXml>'.$br;
		$node        .= '<playListAutoStart>'.$this->castAsBoolean($datas->playlistautoplay).'</playListAutoStart>'.$br;
		$node        .= '<playListOpen>'.$this->castAsBoolean($datas->playlistopen).'</playListOpen>'.$br;
		$node        .= '<playListRandom>'.$this->castAsBoolean($datas->playlistrandom).'</playListRandom>'.$br;
		$node        .= '<autoStart>'.$this->castAsBoolean($datas->autoplay).'</autoStart>'.$br;
		$node        .= '<stretch>'.$datas->stretchtype.'</stretch>'.$br;
		$node        .= '<buffer>'.$datas->buffertime.'</buffer>'.$br;
		$node        .= '<volumeLevel>'.$datas->volumelevel.'</volumeLevel>'.$br;
		$node        .= '<emailPhp>'.$email.'</emailPhp>'.$br;
		
		return $node;
	}
	
	
	function castAsBoolean($val){
		if($val == 1) {
	    	return 'true';
		} else {
			return 'false';
		}
	}

}

?>